Bug 1248090 - Tasks drawer doesn't display jobs/step tree correctly
Tasks drawer doesn't display jobs/step tree correctly
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.6.0
Assigned To: Moti Asayag
Petr Kubica
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 11:01 EDT by Shmuel Melamud
Modified: 2016-02-10 14:30 EST (History)
12 users (show)

See Also:
Fixed In Version: 3.6.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:25:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45547 master MERGED engine: Revert JPA Never
oVirt gerrit 45586 ovirt-engine-3.6 MERGED engine: Revert JPA Never

  None (edit)
Description Shmuel Melamud 2015-07-29 11:01:25 EDT
Description of problem:

"Tasks" drawer at the bottom of the webadmin should display tree of jobs, steps and substeps. But currently, it displays substeps several times - once in the correct place in the tree and also on all previous levels. The corresponding structure in the DB is correct.

Also, when user click on "+" to open a branch, it closes shortly, so it's practically impossible to open the whole tree.

How reproducible:
100%

Steps to Reproduce:
1. Create a VM pool with one or several VMs.
2. Open the "Tasks" drawer at the bottom.

Actual results:
The drawer shows steps and substeps mixed. The topmost job "Creating VM Pool" contains several Validating, Executing and Finalizing steps and so on.

Expected results:
The drawer shows the correct jobs/steps tree.

Additional info:
Comment 1 Oved Ourfali 2015-07-30 03:00:31 EDT
Shmuel - I guess you refer to recursive hierarchy?
Moti - do we support recursiveness there?
Comment 2 Shmuel Melamud 2015-07-30 06:17:13 EDT
(In reply to Oved Ourfali from comment #1)
> Shmuel - I guess you refer to recursive hierarchy?

Yes.
Comment 3 Moti Asayag 2015-08-02 06:53:52 EDT
(In reply to Oved Ourfali from comment #1)
> Shmuel - I guess you refer to recursive hierarchy?
> Moti - do we support recursiveness there?

yes, the steps are implemented as a composite pattern - each step may have sub steps.

There were few changes around the fetch method of sub-steps by commit:
92dca0ea7fff25c8e8e8e509241df1158928e180

Is it possible to verify the same scenario before that commit was introduced ?
Comment 4 Oved Ourfali 2015-08-05 01:43:35 EDT
Liran - please sync with Moti on that one, and check it out.
Comment 5 Petr Kubica 2015-09-15 04:38:35 EDT
Verified in 3.6.0-0.15.master.el6
Comment 6 Sandro Bonazzola 2015-11-04 06:25:53 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.